diff -crN buildroot-2013.08.1-ckb-20150123-1/board/ckb/ckb-1808/Makefile.in buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/ckb-1808/Makefile.in
*** buildroot-2013.08.1-ckb-20150123-1/board/ckb/ckb-1808/Makefile.in	2014-06-18 17:19:07.000000000 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/ckb-1808/Makefile.in	2015-10-14 09:30:35.448170664 +0900
***************
*** 20,31 ****
  	@$(call MESSAGE, "**************************************************************")
  	@$(call MESSAGE, "Building CKB bootloader")
  	@$(call MESSAGE, "**************************************************************")
! 	@$(call MESSAGE, "CKB: Configuring Bootloader for 32MB/128MB RAM")
! ifeq ($(BR2_CKB_1808_32MB), y)
! 	@sh $(BOARD_DIR)/ram32_config.sh "$(BOARD_DIR)/bootloader/include/device.h" 1
! else
! 	@sh $(BOARD_DIR)/ram32_config.sh "$(BOARD_DIR)/bootloader/include/device.h" 0
! endif
  	make CROSS_COMPILE="$(TARGET_CROSS)" \
  		CFLAGS="$(TARGET_CFLAGS)" \
  		-C $(BOARD_DIR)/bootloader
--- 20,37 ----
  	@$(call MESSAGE, "**************************************************************")
  	@$(call MESSAGE, "Building CKB bootloader")
  	@$(call MESSAGE, "**************************************************************")
! 	@$(call MESSAGE, "Configuring Bootloader for 32MB/128MB RAM")
! 	@if grep -q "CONFIG_CKB_32MB_RAM=y" $(LINUX_DIR)/.config; then \
! 		echo "Changing CONFIG_CKB_128MB_RAM to CONFIG_CKB_32MB_RAM in $(BOARD_DIR)/bootloader/include/device.h"; \
! 		sed -i 's,define CONFIG_CKB_128MB_RAM,define CONFIG_CKB_32MB_RAM,g' $(BOARD_DIR)/bootloader/include/device.h; \
! 		$(call MESSAGE, "Configured for 32MB RAM"); \
! 	elif grep -q "CONFIG_CKB_128MB_RAM=y" $(LINUX_DIR)/.config; then \
! 		echo "Changing CONFIG_CKB_32MB_RAM to CONFIG_CKB_128MB_RAM in $(BOARD_DIR)/bootloader/include/device.h"; \
! 		sed -i 's,define CONFIG_CKB_32MB_RAM,define CONFIG_CKB_128MB_RAM,g' $(BOARD_DIR)/bootloader/include/device.h; \
! 		$(call MESSAGE, "Configured for 128MB RAM"); \
! 	else \
! 		exit; \
! 	fi
  	make CROSS_COMPILE="$(TARGET_CROSS)" \
  		CFLAGS="$(TARGET_CFLAGS)" \
  		-C $(BOARD_DIR)/bootloader
diff -crN buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/samples/Config-samples.in buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/samples/Config-samples.in
*** buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/samples/Config-samples.in	2014-02-05 11:31:32.000000000 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/samples/Config-samples.in	1970-01-01 09:00:00.000000000 +0900
***************
*** 1,53 ****
- config BR2_CKB_CGI_SAMPLE
- 	bool "CGI sample"
- 	default y
- 	help
- 		This will build the cgi sample application which uses httpd.
- 
- config BR2_CKB_GUI1_SAMPLE
- 	bool "GUI1 sample"
- 	default y
- 	help
- 		This will build \"gui1\" sample application.
- 
- config BR2_CKB_KENSA_SAMPLE
- 	bool "Kensa sample"
- 	default y
- 	help
- 		This will build \"kensa\" sample application.
- 
- config BR2_CKB_LAUNCHER_SAMPLE
- 	bool "Launcher"
- 	default y
- 	help
- 		This will build \"Launcher\" sample application.
- 
- config BR2_CKB_LED_SAMPLE
- 	bool "LED sample"
- 	default y
- 	help
- 		This will build \"led_sample\" sample application.
- 
- config BR2_CKB_TS_SAMPLES
- 	bool "Touch screen samples"
- 	default y
- 	help
- 		This will build ts_led and ts_test2 sample applications.
- 
- config BR2_CKB_CALENDER_SAMPLE
- 	bool "Calender sample"
- 	default y
- 	help
- 		This will build the calender sample application.
- 		
- config BR2_CKB_GPIO_SAMPLE
- 	bool "GPIO sample"
- 	default y
- 	help
- 		This will build the GPIO interrupt sample application \"gpio_int\".
- 
- config BR2_SPIDEV_SAMPLE
- 	bool "Spidev sample"
- 	default y
- 	help
- 		This will build the SPI device sample application \"spidev_test\".
--- 0 ----
diff -crN buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/samples/Config-usbcam.in buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/samples/Config-usbcam.in
*** buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/samples/Config-usbcam.in	2013-04-12 13:41:14.000000000 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/samples/Config-usbcam.in	1970-01-01 09:00:00.000000000 +0900
***************
*** 1,8 ****
- config BR2_CKB_USB_CAM_SAMPLES
- 	bool "USB camera applications"
- 	default y
- 	help
- 		This will build usb_cam_app, usb_cam_streamer and usb_tcp_cam_streamer applications.
- 
- 
- 
--- 0 ----
diff -crN buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/scripts/add_config_str.sh buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/scripts/add_config_str.sh
*** buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/scripts/add_config_str.sh	1970-01-01 09:00:00.000000000 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/scripts/add_config_str.sh	2015-10-14 09:30:35.476170720 +0900
***************
*** 0 ****
--- 1,34 ----
+ #!/bin/bash
+ 
+ # sed will not work if '/' is included in the replace path
+ # hence change it to ';'
+ 
+ if ! [ $# -eq 3 ]; then
+ 	echo "Usage: $0 <linux_kernel_configuration_file> <Kernel_Configuration_String> <value>"
+ 	exit 1
+ fi
+ echo "Searching for $2 in file $1 and prepending $3"
+ config=$(grep "$2=\"" $1)
+ if [ "$config""11" = "11" ]; then
+ 	echo "$2 not found, adding it"
+ 	echo $2=\"$3\" >> $1
+ 	exit
+ fi
+ if $(echo $config | grep -q " $3 ") \
+ 	|| $(echo $config | grep -q "\"$3 ") \
+ 	|| $(echo $config | grep -q " $3\"") \
+ 	|| $(echo $config | grep -q "\"$3\""); then
+ 	echo "String $3 already present"
+ else
+ 	str=$(echo $config | sed "s/$2=//g" | sed "s/\"//g")
+ 	value=$(echo $3 | tr '/' ';')
+ 	if [ "$str""11" = "11" ]; then
+ 		config=$(echo $config | sed "s/$2=\"/$2=\"$value/g")
+ 	else
+ 		config=$(echo $config | sed "s/$2=\"/$2=\"$value /g")
+ 	fi
+ 	config=$(echo $config | tr ';' '/')
+ 	echo "$config"
+ 	sed -i -e "/$2=\"/d" $1
+ 	echo $config >> $1
+ fi
diff -crN buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/scripts/remove_config_str.sh buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/scripts/remove_config_str.sh
*** buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/scripts/remove_config_str.sh	1970-01-01 09:00:00.000000000 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/scripts/remove_config_str.sh	2015-10-14 09:30:35.476170720 +0900
***************
*** 0 ****
--- 1,44 ----
+ #!/bin/bash
+ 
+ # sed will not work if '/' is included in the replace path
+ # hence change it to ';'
+ 
+ if ! [ $# -eq 3 ]; then
+ 	echo "Usage: $0 <linux_kernel_configuration_file> <Kernel_Configuration_String> <value>"
+ 	exit 1;
+ fi
+ echo "Searching for $2 in file $1 and removing $3"
+ config=$(grep "$2=\"" $1)
+ if [ "$config""11" = "11" ]; then
+ 	echo "$2 not found"
+ 	exit
+ fi
+ if $(echo $config | grep -q " $3 "); then
+ 	pattern=1
+ elif $(echo $config | grep -q "\"$3 "); then
+ 	pattern=2
+ elif $(echo $config | grep -q " $3\""); then
+ 	pattern=3
+ elif $(echo $config | grep -q "\"$3\""); then
+ 	pattern=4
+ else
+ 	echo "String $3 not found"
+ 	exit
+ fi
+ 
+ echo "String $3 found"
+ config=$(echo $config | tr '/' ';')
+ value=$(echo $3 | tr '/' ';')
+ 
+ case $pattern in
+ 	1)config=$(echo $config | sed "s/ $value / /g");;
+ 	2)config=$(echo $config | sed "s/\"$value /\"/g");;
+ 	3)config=$(echo $config | sed "s/ $value\"/\"/g");;
+ 	4)config=$(echo $config | sed "s/\"$value\"/\"\"/g");;
+ 	*)exit;;
+ esac
+ 
+ config=$(echo $config | tr ';' '/')
+ echo "$config"
+ sed -i -e "/$2=\"/d" $1
+ echo $config >> $1
diff -crN buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/scripts/remove_firmware.sh buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/scripts/remove_firmware.sh
*** buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/scripts/remove_firmware.sh	1970-01-01 09:00:00.000000000 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/scripts/remove_firmware.sh	2015-10-14 09:30:35.476170720 +0900
***************
*** 0 ****
--- 1,18 ----
+ #!/bin/bash
+ 
+ if ! [ $# -eq 4 ]; then \
+ 	echo "Usage: $0 <firmware_name/directory> <linux_kernel_path> <.config_name> <Kernel_Configuration_String_that_holds_firware_directory_path>"; \
+ 	exit 1; \
+ fi
+ #get the "firmware" directory under the kernel path
+ firmware_dir=$(echo $(grep "$4=" $2/$3) | sed "s/$4=//g" | sed "s/\"//g")
+ if [ $firmware_dir"11" = "11" ]; then \
+ 	echo "Error: Firmware directory not specified in the kernel"; \
+ 	echo "Check the variable $4 in the Kernel configuration"; \
+ 	exit 1; \
+ fi
+ if [ -e $2/$firmware_dir/$1 ]; then
+ 	echo "Removing $2/$firmware_dir/$1"
+ 	rm -rf $2/$firmware_dir/$1
+ fi
+ 
diff -crN buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/scripts/unpack_firmware.sh buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/scripts/unpack_firmware.sh
*** buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/scripts/unpack_firmware.sh	1970-01-01 09:00:00.000000000 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/scripts/unpack_firmware.sh	2015-10-14 09:30:35.476170720 +0900
***************
*** 0 ****
--- 1,16 ----
+ #!/bin/bash
+ 
+ if ! [ $# -eq 4 ]; then \
+ 	echo "Usage: $0 <firmware.tgz> <linux_kernel_path> <.config_name> <Kernel_Configuration_String_that_holds_firware_directory_path>"; \
+ 	exit 1; \
+ fi
+ #get the "firmware" directory under the kernel path
+ firmware_dir=$(echo $(grep "$4=" $2/$3) | sed "s/$4=//g" | sed "s/\"//g")
+ if [ $firmware_dir"11" = "11" ]; then \
+ 	echo "Error: Firmware directory not specified in the kernel"; \
+ 	echo "Check the variable $4 in the Kernel configuration"; \
+ 	exit 1; \
+ fi
+ 
+ echo "Unpacking $1 to $2/$firmware_dir/"
+ tar -zxvf $1 -C $2/$firmware_dir/
diff -crN buildroot-2013.08.1-ckb-20150123-1/board/ckb/Config.in buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/Config.in
*** buildroot-2013.08.1-ckb-20150123-1/board/ckb/Config.in	2014-12-15 22:56:43.000000000 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/Config.in	2015-10-14 09:35:36.057646894 +0900
***************
*** 1,3 ****
--- 1,6 ----
+ config BR2_BOARD_CKB
+ 	bool
+ 
  if BR2_arm && BR2_arm926t
  config BR2_BOARD_CKB_1808
  	bool "CKB-1808 support" 
***************
*** 16,166 ****
  
  if BR2_arm && BR2_cortex_a9
  config BR2_BOARD_CKB_RZ
! 	bool "CKB-RZ/A1H support" 
  	help
           Select this option for building for CKB-RZ/A1H board.
  endif
  
- if BR2_BOARD_CKB_1808
- 
- choice
- 	prompt "RAM memory size"
- 	default BR2_CKB_1808_128MB
- 	help
- 	  Select the DDR RAM memory size on the target
- 
- config BR2_CKB_1808_32MB
- 	bool "32MB"
- 	
- config BR2_CKB_1808_128MB
- 	bool "128MB"
- 	
- endchoice
- 
- endif
- 
  if BR2_BOARD_CKB_1808 || BR2_BOARD_CKB_3352 || BR2_BOARD_CKB_RZ
  
! config BR2_CKB_LCD_SUPPORT
! 	bool "Support LCD"
! 	help
! 	 Select this option to add LCD support.
! 
! choice
! 	prompt "Select LCD board"
! 	depends on BR2_CKB_LCD_SUPPORT
! 	help
! 	 Select the LCD board.
! 
! if BR2_BOARD_CKB_1808 || BR2_BOARD_CKB_3352
! config BR2_CKB_LCD_01
! 	bool "CKB LCD-01"
! 	help
! 	 Support for Computex CKB LCD_01 LCD board (Visionx KTM050AL02).
! endif
! 	
! config BR2_CKB_LCD_02
! 	bool "CKB LCD-02"
! 	help
! 	 Support for Computex CKB LCD_02 LCD board (Kyocera TCG070WVLPAAFA_AA00).
! 
! if BR2_BOARD_CKB_RZ
! config BR2_VISIONX_KTM050AL02
! 	bool "Visionx KTM050AL02"
! 	help
! 	 Support for Visionx KTM050AL02 LCD panel.
! endif
  
! endchoice
! endif
! 
! if BR2_BOARD_CKB_1808
! config  BR2_CKB_VPIF_SUPPORT
! 	bool "Support VPIF"
  	help
! 	  Select this option to add VPIF support (camera).
  endif
  
  if BR2_BOARD_CKB_3352
  
! config BR2_CKB_DVI_SUPPORT
! 	bool "Support DVI"
! 	help
! 	Select this option to add DVI support.
! 
! endif
! 
! if BR2_BOARD_CKB_RZ
! config BR2_CKB_LVDS_SUPPORT
! 	bool "Support LVDS"
! 	help
! 	Select this option to add LVDS support.
! 
! endif
! 
! config BR2_CKB_DISPLAY_DVI_RESOLUTIONS
! 	bool "Display DVI resolutions when a device is connected"
! 	depends on BR2_CKB_DVI_SUPPORT
! 	help
! 	Select this option to display the DVI resolution read from the
! 	device on the terminal. Some resolutions may not be supported.
! 	The file /etc/fb.modes will have a list of resolutions that are
! 	be supported.
! 
! config  BR2_CKB_DISPLAY_UNSUPPORTED_DVI_RESOLUTIONS
! 	bool "Display DVI unsupported resolutions"
! 	depends on BR2_CKB_DVI_SUPPORT
! 	help
! 	Select this option to display the DVI resolution that have been
! 	ignored because of incompatibility.
! 
! 
! config BR2_CKB_DISPLAY_LVDS_RESOLUTIONS
! 	bool "Display LVDS resolutions when a device is connected"
! 	depends on BR2_CKB_LVDS_SUPPORT
! 	help
! 	Select this option to display the LVDS resolution read from the
! 	device on the terminal. Some resolutions may not be supported.
! 	The file /etc/fb.modes will have a list of resolutions that are
! 	be supported.
  
! config  BR2_CKB_DISPLAY_UNSUPPORTED_LVDS_RESOLUTIONS
! 	bool "Display LVDS unsupported resolutions"
! 	depends on BR2_CKB_LVDS_SUPPORT
  	help
- 	Select this option to display the LVDS resolution that have been
- 	ignored because of incompatibility.
  
- if BR2_BOARD_CKB_3352
- config BR2_CKB_LCD_CLOCK_CLOSEST_MATCH
- 	bool "Compute best match for LCD/DVI output clock"
- 	depends on BR2_CKB_LCD_SUPPORT || BR2_CKB_DVI_SUPPORT
- 	help
- 	This option finds the best matching output clock for LCD/DVI
- 	and uses it.
  endif
  
- config BR2_CKB_DISPLAY_EASY_SWITCH_MODE
- 	bool "Use numbers instead of names in /etc/fb.modes"
- 	depends on BR2_CKB_LCD_SUPPORT || BR2_CKB_DVI_SUPPORT || BR2_CKB_LVDS_SUPPORT
- 	help
- 	  This option makes it easier to switch the LCD configuration bootloader.
- 	  Instead of "fbset <mode_name>", "fbset <number>" can be used.
- 	  <number> will be shorter than <mode_name>.
- 
- 
  if BR2_BOARD_CKB_1808 || BR2_BOARD_CKB_3352 || BR2_BOARD_CKB_RZ
  
- if BR2_CKB_LCD_SUPPORT || BR2_CKB_DVI_SUPPORT || BR2_CKB_LVDS_SUPPORT
- config BR2_TITLE_IMAGE_FILE_NAME
- 	string "Title BMP file"
- 	default "dl/pics/title_400x240.bmp"
- 	help
- 	  Complete path to the title logo BMP file
- 	  that will be displayed when the target
- 	  boots.
- endif
- 
  config BR2_CMJ100_MODULE
  	bool "Compile CMJ100 driver"
  	select BR2_CMJ100_FW_IN_KERNEL if BR2_BOARD_CKB_3352
--- 19,60 ----
  
  if BR2_arm && BR2_cortex_a9
  config BR2_BOARD_CKB_RZ
! 	bool "CKB-RZ/A1H support"
! 	select BR2_BOARD_CKB
  	help
           Select this option for building for CKB-RZ/A1H board.
  endif
  
  if BR2_BOARD_CKB_1808 || BR2_BOARD_CKB_3352 || BR2_BOARD_CKB_RZ
  
! config BR2_CREATE_RGB_TITLE_IMAGE
! 	bool "Create RGB title/logo file"
  
! config BR2_TITLE_IMAGE_FILE_NAME
! 	string "Title/logo BMP file"
! 	depends on BR2_CREATE_RGB_TITLE_IMAGE
! 	default "dl/pics/title_400x240.bmp"
  	help
! 	  Complete path to the title logo BMP file
! 	  that will be displayed when the target
! 	  boots.
  endif
  
  if BR2_BOARD_CKB_3352
  
! config BR2_TI_PWM_FIRMWARE
! 	bool "Include TI PWM firmware in Kernel image"
  
! config BR2_AM335x_FIRMWARE_TGZ_NAME
! 	string "TI PWM firmware name"
! 	depends on BR2_TI_PWM_FIRMWARE
! 	default "am335x-pm-firmware.tgz"
  	help
  
  endif
  
  if BR2_BOARD_CKB_1808 || BR2_BOARD_CKB_3352 || BR2_BOARD_CKB_RZ
  
  config BR2_CMJ100_MODULE
  	bool "Compile CMJ100 driver"
  	select BR2_CMJ100_FW_IN_KERNEL if BR2_BOARD_CKB_3352
***************
*** 214,221 ****
  
  endif
  		
! source "board/ckb/common/samples/Config-usbcam.in"		
! source "board/ckb/common/samples/Config-samples.in"
  
  if BR2_BOARD_CKB_1808
  config BR2_CKB_EXT_CN5_MEM_SAMPLE
--- 108,172 ----
  
  endif
  		
! config BR2_CKB_USB_CAM_SAMPLES
! 	bool "USB camera applications"
! 	default y
! 	help
! 		This will build usb_cam_app, usb_cam_streamer and usb_tcp_cam_streamer applications.
! 
! config BR2_CKB_CGI_SAMPLE
! 	bool "CGI sample"
! 	default y
! 	help
! 		This will build the cgi sample application which uses httpd.
! 
! config BR2_CKB_GUI1_SAMPLE
! 	bool "GUI1 sample"
! 	default y
! 	help
! 		This will build \"gui1\" sample application.
! 
! config BR2_CKB_KENSA_SAMPLE
! 	bool "Kensa sample"
! 	default y
! 	help
! 		This will build \"kensa\" sample application.
! 
! config BR2_CKB_LAUNCHER_SAMPLE
! 	bool "Launcher"
! 	default y
! 	help
! 		This will build \"Launcher\" sample application.
! 
! config BR2_CKB_LED_SAMPLE
! 	bool "LED sample"
! 	default y
! 	help
! 		This will build \"led_sample\" sample application.
! 
! config BR2_CKB_TS_SAMPLES
! 	bool "Touch screen samples"
! 	default y
! 	help
! 		This will build ts_led and ts_test2 sample applications.
! 
! config BR2_CKB_CALENDER_SAMPLE
! 	bool "Calender sample"
! 	default y
! 	help
! 		This will build the calender sample application.
! 		
! config BR2_CKB_GPIO_SAMPLE
! 	bool "GPIO sample"
! 	default y
! 	help
! 		This will build the GPIO interrupt sample application \"gpio_int\".
! 
! config BR2_SPIDEV_SAMPLE
! 	bool "Spidev sample"
! 	default y
! 	help
! 		This will build the SPI device sample application \"spidev_test\".
  
  if BR2_BOARD_CKB_1808
  config BR2_CKB_EXT_CN5_MEM_SAMPLE
diff -crN buildroot-2013.08.1-ckb-20150123-1/board/ckb/Makefile.in buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/Makefile.in
*** buildroot-2013.08.1-ckb-20150123-1/board/ckb/Makefile.in	2015-10-14 09:29:47.456171194 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/Makefile.in	2015-10-14 09:36:29.112167347 +0900
***************
*** 28,33 ****
--- 28,34 ----
  APP_DEBUG:=
  endif
  
+ CGI_DIR_NAME:=$(call qstrip,$(BR2_ROOTFS_OVERLAY))
  
  # CM-J100 driver depends on Kernel version
  CKB_LINUX_VERSION = $(call qstrip,$(BR2_LINUX_KERNEL_VERSION))
***************
*** 216,244 ****
  	@$(call MESSAGE, "**************************************************************")
  		@$(call MESSAGE, "Building CGI files")
  	@$(call MESSAGE, "**************************************************************")
! 	@if ! [ -d "$(BOARD_DIR)/fs/root/www/" ]; then \
  		if ! [ -e "$(DL_DIR)/$(CGI_WWWFOLDER_TGZ_NAME)" ]; then \
  			echo "$(TERM_BOLD)Error: $(DL_DIR)/$(CGI_WWWFOLDER_TGZ_NAME) is needed to proceed$(TERM_RESET)"; \
  			exit 1;\
  		else \
! 			tar zxvf $(DL_DIR)/$(CGI_WWWFOLDER_TGZ_NAME) -C $(BOARD_DIR)/fs/; \
  		fi; \
  	fi
  	@make CROSS_COMPILE="$(TARGET_CROSS)" \
  		-C $(BOARD_DIR)/cgi-bin
! 	if ! [ -d "$(BOARD_DIR)/fs/root/www/cgi-bin/" ]; then \
! 		mkdir -p $(BOARD_DIR)/fs/root/www/cgi-bin/; \
  	fi
! 	cp $(BOARD_DIR)/cgi-bin/output/*.cgi  $(BOARD_DIR)/fs/root/www/cgi-bin/
  
  cgi_build-clean:
! 	@if [ -d "$(BOARD_DIR)/fs/root/www/" ]; then \
  		read -p "Delete www folder (y/n)?" aaa; \
  		if [ 11$$aaa == 11y ]; then \
! 			rm -rf $(BOARD_DIR)/fs/root/www; \
  		else \
! 			if [ -d "$(BOARD_DIR)/fs/root/www/cgi-bin/" ]; then \
! 				rm -f $(BOARD_DIR)/fs/root/www/cgi-bin/*.cgi; \
  			fi; \
  		fi; \
  	fi
--- 217,245 ----
  	@$(call MESSAGE, "**************************************************************")
  		@$(call MESSAGE, "Building CGI files")
  	@$(call MESSAGE, "**************************************************************")
! 	@if ! [ -d "$(CGI_DIR_NAME)/root/www/" ]; then \
  		if ! [ -e "$(DL_DIR)/$(CGI_WWWFOLDER_TGZ_NAME)" ]; then \
  			echo "$(TERM_BOLD)Error: $(DL_DIR)/$(CGI_WWWFOLDER_TGZ_NAME) is needed to proceed$(TERM_RESET)"; \
  			exit 1;\
  		else \
! 			tar zxvf $(DL_DIR)/$(CGI_WWWFOLDER_TGZ_NAME) -C $(CGI_DIR_NAME)/; \
  		fi; \
  	fi
  	@make CROSS_COMPILE="$(TARGET_CROSS)" \
  		-C $(BOARD_DIR)/cgi-bin
! 	if ! [ -d "$(CGI_DIR_NAME)/root/www/cgi-bin/" ]; then \
! 		mkdir -p $(CGI_DIR_NAME)/root/www/cgi-bin/; \
  	fi
! 	cp $(BOARD_DIR)/cgi-bin/output/*.cgi $(CGI_DIR_NAME)/root/www/cgi-bin/
  
  cgi_build-clean:
! 	@if [ -d "$(CGI_DIR_NAME)/root/www/" ]; then \
  		read -p "Delete www folder (y/n)?" aaa; \
  		if [ 11$$aaa == 11y ]; then \
! 			rm -rf $(CGI_DIR_NAME)/root/www; \
  		else \
! 			if [ -d "$(CGI_DIR_NAME)/root/www/cgi-bin/" ]; then \
! 				rm -f $(CGI_DIR_NAME)/root/www/cgi-bin/*.cgi; \
  			fi; \
  		fi; \
  	fi
***************
*** 448,460 ****
  TARGETS += spidev_test
  endif
  
! ifeq ($(BR2_CKB_LCD_SUPPORT),y)
! TARGETS += ckb_create_rgb_logo
! endif
! ifeq ($(BR2_CKB_DVI_SUPPORT),y)
! TARGETS += ckb_create_rgb_logo
! endif
! ifeq ($(BR2_CKB_LVDS_SUPPORT),y)
  TARGETS += ckb_create_rgb_logo
  endif
  
--- 449,455 ----
  TARGETS += spidev_test
  endif
  
! ifeq ($(BR2_CREATE_RGB_TITLE_IMAGE),y)
  TARGETS += ckb_create_rgb_logo
  endif
  
diff -crN buildroot-2013.08.1-ckb-20150123-1/boot/uboot/uboot.mk buildroot-2013.08.1-ckb-20150123-1-new/boot/uboot/uboot.mk
*** buildroot-2013.08.1-ckb-20150123-1/boot/uboot/uboot.mk	2014-05-28 19:09:40.000000000 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/boot/uboot/uboot.mk	2015-10-14 09:30:35.480170721 +0900
***************
*** 99,106 ****
  endef
  
  define REPLACE_TEXT
! 	@$(call MESSAGE, "Replacing $(1) to $(2) in $(3)")
! 	$(SED) "s,$(1),$(2),g" $(3)
  endef
  
  ifeq ($(BR2_BOARD_CKB_1808),y)
--- 99,105 ----
  endef
  
  define REPLACE_TEXT
! 	echo "Replacing $(1) to $(2) in $(3)"; $(SED) "s,$(1),$(2),g" $(3)
  endef
  
  ifeq ($(BR2_BOARD_CKB_1808),y)
***************
*** 108,216 ****
  	$(@D)/include/configs/ckb-1808.h
  endef
  define CKB_UBOOT_RAM_CONFIG_CMDS
! 	@$(call MESSAGE, "CKB-1808: Configuring U-Boot for 32MB/128MB RAM")
! 	$(if $(BR2_CKB_1808_32MB),
! 		$(call REPLACE_TEXT,define CONFIG_CKB_128MB_RAM,define CONFIG_CKB_32MB_RAM,$(CKB_UBOOT_CONFIG_FILE)))
! 	$(if $(BR2_CKB_1808_128MB),
! 		$(call REPLACE_TEXT,define CONFIG_CKB_32MB_RAM,define CONFIG_CKB_128MB_RAM,$(CKB_UBOOT_CONFIG_FILE)))
  endef
- ifeq ($(BR2_CKB_VPIF_SUPPORT),y)
  define CKB_UBOOT_VPIF_CONFIG_CMDS
! 	$(call REPLACE_TEXT,define CONFIG_CKB_NO_VPIF_SUPPORT,define CONFIG_CKB_VPIF_SUPPORT,$(CKB_UBOOT_CONFIG_FILE))
! endef
! else
! define CKB_UBOOT_VPIF_CONFIG_CMDS
! 	$(call REPLACE_TEXT,define CONFIG_CKB_VPIF_SUPPORT,define CONFIG_CKB_NO_VPIF_SUPPORT,$(CKB_UBOOT_CONFIG_FILE))
! endef
! endif
! ifeq ($(BR2_CKB_LCD_SUPPORT),y)
! ifeq ($(BR2_CKB_LCD_01),y)
! define CKB_UBOOT_LCD_CONFIG_CMDS
! 	$(call REPLACE_TEXT,define CONFIG_CKB_NO_LCD_01,define CONFIG_CKB_LCD_01,$(CKB_UBOOT_CONFIG_FILE))
! 	$(call REPLACE_TEXT,define CONFIG_CKB_LCD_02,define CONFIG_CKB_NO_LCD_02,$(CKB_UBOOT_CONFIG_FILE))
! endef
! endif
! ifeq ($(BR2_CKB_LCD_02),y)
! define CKB_UBOOT_LCD_CONFIG_CMDS
! 	$(call REPLACE_TEXT,define CONFIG_CKB_LCD_01,define CONFIG_CKB_NO_LCD_01,$(CKB_UBOOT_CONFIG_FILE))
! 	$(call REPLACE_TEXT,define CONFIG_CKB_NO_LCD_02,define CONFIG_CKB_LCD_02,$(CKB_UBOOT_CONFIG_FILE))
  endef
  endif
- else
- define CKB_UBOOT_LCD_CONFIG_CMDS
- 	$(call REPLACE_TEXT,define CONFIG_CKB_LCD_01,define CONFIG_CKB_NO_LCD_01,$(CKB_UBOOT_CONFIG_FILE))
- 	$(call REPLACE_TEXT,define CONFIG_CKB_LCD_02,define CONFIG_CKB_NO_LCD_02,$(CKB_UBOOT_CONFIG_FILE))
- endef
- endif
- endif
  
  ifeq ($(BR2_BOARD_CKB_3352),y)
  define CKB_UBOOT_CONFIG_FILE
  	$(@D)/include/configs/ckb_3352.h
  endef
- ifeq ($(BR2_CKB_LCD_SUPPORT),y)
- ifeq ($(BR2_CKB_LCD_01),y)
- define CKB_UBOOT_LCD_CONFIG_CMDS
- 	$(call REPLACE_TEXT,define CONFIG_CKB_NO_LCD_01,define CONFIG_CKB_LCD_01,$(CKB_UBOOT_CONFIG_FILE))
- 	$(call REPLACE_TEXT,define CONFIG_CKB_LCD_02,define CONFIG_CKB_NO_LCD_02,$(CKB_UBOOT_CONFIG_FILE))
- endef
- endif
- ifeq ($(BR2_CKB_LCD_02),y)
- define CKB_UBOOT_LCD_CONFIG_CMDS
- 	$(call REPLACE_TEXT,define CONFIG_CKB_LCD_01,define CONFIG_CKB_NO_LCD_01,$(CKB_UBOOT_CONFIG_FILE))
- 	$(call REPLACE_TEXT,define CONFIG_CKB_NO_LCD_02,define CONFIG_CKB_LCD_02,$(CKB_UBOOT_CONFIG_FILE))
- endef
- endif
- else
  define CKB_UBOOT_LCD_CONFIG_CMDS
! 	$(call REPLACE_TEXT,define CONFIG_CKB_LCD_01,define CONFIG_CKB_NO_LCD_01,$(CKB_UBOOT_CONFIG_FILE))
! 	$(call REPLACE_TEXT,define CONFIG_CKB_LCD_02,define CONFIG_CKB_NO_LCD_02,$(CKB_UBOOT_CONFIG_FILE))
! endef
! endif
! ifeq ($(BR2_CKB_DVI_SUPPORT),y)
! define CKB_UBOOT_DVI_CONFIG_CMDS
! 	$(call REPLACE_TEXT,define CONFIG_CKB_NO_DVI,define CONFIG_CKB_DVI,$(CKB_UBOOT_CONFIG_FILE))
  endef
- else
  define CKB_UBOOT_DVI_CONFIG_CMDS
! 	$(call REPLACE_TEXT,define CONFIG_CKB_DVI,define CONFIG_CKB_NO_DVI,$(CKB_UBOOT_CONFIG_FILE))
  endef
  endif
- endif
  
  ifeq ($(BR2_BOARD_CKB_RZ),y)
  define CKB_UBOOT_CONFIG_FILE
  	$(@D)/include/configs/ckbrza1h.h
  endef
- ifeq ($(BR2_CKB_LCD_SUPPORT),y)
- ifeq ($(BR2_VISIONX_KTM050AL02),y)
- define CKB_UBOOT_LCD_CONFIG_CMDS
- 	$(call REPLACE_TEXT,define CONFIG_NO_VISIONX_KTM050AL02,define CONFIG_VISIONX_KTM050AL02,$(CKB_UBOOT_CONFIG_FILE))
- 	$(call REPLACE_TEXT,define CONFIG_CKB_LCD_02,define CONFIG_CKB_NO_LCD_02,$(CKB_UBOOT_CONFIG_FILE))
- endef
- endif
- ifeq ($(BR2_CKB_LCD_02),y)
- define CKB_UBOOT_LCD_CONFIG_CMDS
- 	$(call REPLACE_TEXT,define CONFIG_VISIONX_KTM050AL02,define CONFIG_NO_VISIONX_KTM050AL02,$(CKB_UBOOT_CONFIG_FILE))
- 	$(call REPLACE_TEXT,define CONFIG_CKB_NO_LCD_02,define CONFIG_CKB_LCD_02,$(CKB_UBOOT_CONFIG_FILE))
- endef
- endif
- else
  define CKB_UBOOT_LCD_CONFIG_CMDS
! 	$(call REPLACE_TEXT,define CONFIG_VISIONX_KTM050AL02,define CONFIG_NO_VISIONX_KTM050AL02,$(CKB_UBOOT_CONFIG_FILE))
! 	$(call REPLACE_TEXT,define CONFIG_CKB_LCD_02,define CONFIG_CKB_NO_LCD_02,$(CKB_UBOOT_CONFIG_FILE))
  endef
- endif
- ifeq ($(BR2_CKB_LVDS_SUPPORT),y)
- define CKB_UBOOT_LVDS_CONFIG_CMDS
- 	$(call REPLACE_TEXT,define CONFIG_CKB_NO_LVDS,define CONFIG_CKB_LVDS,$(CKB_UBOOT_CONFIG_FILE))
- endef
- else
  define CKB_UBOOT_LVDS_CONFIG_CMDS
! 	$(call REPLACE_TEXT,define CONFIG_CKB_LVDS,define CONFIG_CKB_NO_LVDS,$(CKB_UBOOT_CONFIG_FILE))
  endef
  endif
- endif
  
  define UBOOT_BUILD_CMDS	
  	$(CKB_UBOOT_RAM_CONFIG_CMDS)
--- 107,232 ----
  	$(@D)/include/configs/ckb-1808.h
  endef
  define CKB_UBOOT_RAM_CONFIG_CMDS
! 	@$(call MESSAGE, "Configuring U-Boot for 32MB/128MB RAM")
! 	@if grep -q "CONFIG_CKB_32MB_RAM=y" $(LINUX_DIR)/.config; then \
! 		$(call REPLACE_TEXT,define CONFIG_CKB_128MB_RAM,define CONFIG_CKB_32MB_RAM,$(CKB_UBOOT_CONFIG_FILE)); \
! 		$(call MESSAGE, "Configured for 32MB RAM"); \
! 	elif grep -q "CONFIG_CKB_128MB_RAM=y" $(LINUX_DIR)/.config; then \
! 		$(call REPLACE_TEXT,define CONFIG_CKB_32MB_RAM,define CONFIG_CKB_128MB_RAM,$(CKB_UBOOT_CONFIG_FILE)); \
! 		$(call MESSAGE, "Configured for 128MB RAM"); \
! 	else \
! 		exit; \
! 	fi
  endef
  define CKB_UBOOT_VPIF_CONFIG_CMDS
! 	@$(call MESSAGE, "Configuring U-Boot for VPIF")
! 	@if grep -q "CONFIG_CKB_VPIF_SUPPORT=y" $(LINUX_DIR)/.config; then \
! 		$(call REPLACE_TEXT,define CONFIG_CKB_NO_VPIF_SUPPORT,define CONFIG_CKB_VPIF_SUPPORT,$(CKB_UBOOT_CONFIG_FILE)); \
! 		$(call MESSAGE, "VPIF support included"); \
! 	elif grep -q "CONFIG_CKB_VPIF_SUPPORT" $(LINUX_DIR)/.config; then \
! 		$(call REPLACE_TEXT,define CONFIG_CKB_VPIF_SUPPORT,define CONFIG_CKB_NO_VPIF_SUPPORT,$(CKB_UBOOT_CONFIG_FILE)); \
! 		$(call MESSAGE, "VPIF support removed"); \
! 	else \
! 		exit; \
! 	fi
! endef
! define CKB_UBOOT_LCD_CONFIG_CMDS
! 	@$(call MESSAGE, "Configuring LCD")
! 	@if grep -q "CONFIG_CKB_LCD_SUPPORT=y" $(LINUX_DIR)/.config; then \
! 		if grep -q "CONFIG_CKB_LCD_01=y" $(LINUX_DIR)/.config; then \
! 			$(call REPLACE_TEXT,define CONFIG_CKB_NO_LCD_01,define CONFIG_CKB_LCD_01,$(CKB_UBOOT_CONFIG_FILE)); \
! 			$(call REPLACE_TEXT,define CONFIG_CKB_LCD_02,define CONFIG_CKB_NO_LCD_02,$(CKB_UBOOT_CONFIG_FILE)); \
! 			$(call MESSAGE, "LCD-01 support included"); \
! 		elif grep -q "CONFIG_CKB_LCD_02=y" $(LINUX_DIR)/.config; then \
! 			$(call REPLACE_TEXT,define CONFIG_CKB_LCD_01,define CONFIG_CKB_NO_LCD_01,$(CKB_UBOOT_CONFIG_FILE)); \
! 			$(call REPLACE_TEXT,define CONFIG_CKB_NO_LCD_02,define CONFIG_CKB_LCD_02,$(CKB_UBOOT_CONFIG_FILE)); \
! 			$(call MESSAGE, "LCD-02 support included"); \
! 		fi; \
! 	elif grep -q "CONFIG_CKB_LCD_SUPPORT" $(LINUX_DIR)/.config; then \
! 		$(call REPLACE_TEXT,define CONFIG_CKB_LCD_01,define CONFIG_CKB_NO_LCD_01,$(CKB_UBOOT_CONFIG_FILE)); \
! 		$(call REPLACE_TEXT,define CONFIG_CKB_LCD_02,define CONFIG_CKB_NO_LCD_02,$(CKB_UBOOT_CONFIG_FILE)); \
! 		$(call MESSAGE, "LCD support removed"); \
! 	else \
! 		exit; \
! 	fi	
  endef
  endif
  
  ifeq ($(BR2_BOARD_CKB_3352),y)
  define CKB_UBOOT_CONFIG_FILE
  	$(@D)/include/configs/ckb_3352.h
  endef
  define CKB_UBOOT_LCD_CONFIG_CMDS
! 	@$(call MESSAGE, "Configuring LCD")
! 	@if grep -q "CONFIG_CKB_LCD_SUPPORT=y" $(LINUX_DIR)/.config; then \
! 		if grep -q "CONFIG_CKB_LCD_01=y" $(LINUX_DIR)/.config; then \
! 			$(call REPLACE_TEXT,define CONFIG_CKB_NO_LCD_01,define CONFIG_CKB_LCD_01,$(CKB_UBOOT_CONFIG_FILE)); \
! 			$(call REPLACE_TEXT,define CONFIG_CKB_LCD_02,define CONFIG_CKB_NO_LCD_02,$(CKB_UBOOT_CONFIG_FILE)); \
! 			$(call MESSAGE, "LCD-01 support included"); \
! 		elif grep -q "CONFIG_CKB_LCD_02=y" $(LINUX_DIR)/.config; then \
! 			$(call REPLACE_TEXT,define CONFIG_CKB_LCD_01,define CONFIG_CKB_NO_LCD_01,$(CKB_UBOOT_CONFIG_FILE)); \
! 			$(call REPLACE_TEXT,define CONFIG_CKB_NO_LCD_02,define CONFIG_CKB_LCD_02,$(CKB_UBOOT_CONFIG_FILE)); \
! 			$(call MESSAGE, "LCD-02 support included"); \
! 		fi; \
! 	elif grep -q "CONFIG_CKB_LCD_SUPPORT" $(LINUX_DIR)/.config; then \
! 		$(call REPLACE_TEXT,define CONFIG_CKB_LCD_01,define CONFIG_CKB_NO_LCD_01,$(CKB_UBOOT_CONFIG_FILE)); \
! 		$(call REPLACE_TEXT,define CONFIG_CKB_LCD_02,define CONFIG_CKB_NO_LCD_02,$(CKB_UBOOT_CONFIG_FILE)); \
! 		$(call MESSAGE, "LCD support removed"); \
! 	else \
! 		exit; \
! 	fi	
  endef
  define CKB_UBOOT_DVI_CONFIG_CMDS
! 	@$(call MESSAGE, "Configuring DVI")
! 	@if grep -q "CONFIG_CKB_DVI_SUPPORT=y" $(LINUX_DIR)/.config; then \
! 		$(call REPLACE_TEXT,define CONFIG_CKB_NO_DVI,define CONFIG_CKB_DVI,$(CKB_UBOOT_CONFIG_FILE)); \
! 		$(call MESSAGE, "DVI support included"); \
! 	elif grep -q "CONFIG_CKB_DVI_SUPPORT" $(LINUX_DIR)/.config; then \
! 		$(call REPLACE_TEXT,define CONFIG_CKB_DVI,define CONFIG_CKB_NO_DVI,$(CKB_UBOOT_CONFIG_FILE)); \
! 		$(call MESSAGE, "DVI support removed"); \
! 	else \
! 		exit; \
! 	fi
  endef
  endif
  
  ifeq ($(BR2_BOARD_CKB_RZ),y)
  define CKB_UBOOT_CONFIG_FILE
  	$(@D)/include/configs/ckbrza1h.h
  endef
  define CKB_UBOOT_LCD_CONFIG_CMDS
! 	@$(call MESSAGE, "Configuring LCD")
! 	@if grep -q "CONFIG_CKB_LCD_SUPPORT=y" $(LINUX_DIR)/.config; then \
! 		if grep -q "CONFIG_VISIONX_KTM050AL02=y" $(LINUX_DIR)/.config; then \
! 			$(call REPLACE_TEXT,define CONFIG_NO_VISIONX_KTM050AL02,define CONFIG_VISIONX_KTM050AL02,$(CKB_UBOOT_CONFIG_FILE)); \
! 			$(call REPLACE_TEXT,define CONFIG_CKB_LCD_02,define CONFIG_CKB_NO_LCD_02,$(CKB_UBOOT_CONFIG_FILE)); \
! 			$(call MESSAGE, "VISIONX_KTM050AL02 support included"); \
! 		elif grep -q "CONFIG_CKB_LCD_02=y" $(LINUX_DIR)/.config; then \
! 			$(call REPLACE_TEXT,define CONFIG_VISIONX_KTM050AL02,define CONFIG_NO_VISIONX_KTM050AL02,$(CKB_UBOOT_CONFIG_FILE)); \
! 			$(call REPLACE_TEXT,define CONFIG_CKB_NO_LCD_02,define CONFIG_CKB_LCD_02,$(CKB_UBOOT_CONFIG_FILE)); \
! 			$(call MESSAGE, "LCD-02 support included"); \
! 		fi; \
! 	elif grep -q "CONFIG_CKB_LCD_SUPPORT" $(LINUX_DIR)/.config; then \
! 		$(call REPLACE_TEXT,define CONFIG_VISIONX_KTM050AL02,define CONFIG_NO_VISIONX_KTM050AL02,$(CKB_UBOOT_CONFIG_FILE)); \
! 		$(call REPLACE_TEXT,define CONFIG_CKB_LCD_02,define CONFIG_CKB_NO_LCD_02,$(CKB_UBOOT_CONFIG_FILE)); \
! 		$(call MESSAGE, "LCD support removed"); \
! 	else \
! 		exit; \
! 	fi	
  endef
  define CKB_UBOOT_LVDS_CONFIG_CMDS
! 	@$(call MESSAGE, "Configuring LVDS")
! 	@if grep -q "CONFIG_CKB_LVDS_SUPPORT=y" $(LINUX_DIR)/.config; then \
! 		$(call REPLACE_TEXT,define CONFIG_CKB_NO_LVDS,define CONFIG_CKB_LVDS,$(CKB_UBOOT_CONFIG_FILE)); \
! 		$(call MESSAGE, "LVDS support included"); \
! 	elif grep -q "CONFIG_CKB_LVDS_SUPPORT" $(LINUX_DIR)/.config; then \
! 		$(call REPLACE_TEXT,define CONFIG_CKB_LVDS,define CONFIG_CKB_NO_LVDS,$(CKB_UBOOT_CONFIG_FILE)); \
! 		$(call MESSAGE, "LVDS support removed"); \
! 	else \
! 		exit; \
! 	fi
  endef
  endif
  
  define UBOOT_BUILD_CMDS	
  	$(CKB_UBOOT_RAM_CONFIG_CMDS)
diff -crN buildroot-2013.08.1-ckb-20150123-1/configs/ckb-1808_defconfig buildroot-2013.08.1-ckb-20150123-1-new/configs/ckb-1808_defconfig
*** buildroot-2013.08.1-ckb-20150123-1/configs/ckb-1808_defconfig	2015-10-14 09:29:47.468171144 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/configs/ckb-1808_defconfig	2015-10-14 09:37:48.054082394 +0900
***************
*** 65,78 ****
  #
  # Target options
  #
  BR2_BOARD_CKB_1808=y
! # BR2_CKB_1808_32MB is not set
! BR2_CKB_1808_128MB=y
! BR2_CKB_LCD_SUPPORT=y
! # BR2_CKB_LCD_01 is not set
! BR2_CKB_LCD_02=y
! BR2_CKB_VPIF_SUPPORT=y
! # BR2_CKB_DISPLAY_EASY_SWITCH_MODE is not set
  BR2_TITLE_IMAGE_FILE_NAME="dl/pics/title_400x240.bmp"
  BR2_CMJ100_MODULE=y
  BR2_PACKAGE_CSIDED=y
--- 65,73 ----
  #
  # Target options
  #
+ BR2_BOARD_CKB=y
  BR2_BOARD_CKB_1808=y
! BR2_CREATE_RGB_TITLE_IMAGE=y
  BR2_TITLE_IMAGE_FILE_NAME="dl/pics/title_400x240.bmp"
  BR2_CMJ100_MODULE=y
  BR2_PACKAGE_CSIDED=y
***************
*** 217,222 ****
--- 212,220 ----
  # GCC Options
  #
  BR2_GCC_NEEDS_MPC=y
+ # BR2_GCC_VERSION_4_3_X is not set
+ # BR2_GCC_VERSION_4_4_X is not set
+ # BR2_GCC_VERSION_4_5_X is not set
  # BR2_GCC_VERSION_4_6_X is not set
  BR2_GCC_VERSION_4_7_X=y
  # BR2_GCC_VERSION_4_8_X is not set
***************
*** 769,774 ****
--- 767,773 ----
  # BR2_PACKAGE_LIBNSS is not set
  # BR2_PACKAGE_LIBSHA1 is not set
  # BR2_PACKAGE_NETTLE is not set
+ # BR2_PACKAGE_CA_CERTIFICATES is not set
  # BR2_PACKAGE_OPENSSL is not set
  # BR2_PACKAGE_POLARSSL is not set
  
diff -crN buildroot-2013.08.1-ckb-20150123-1/configs/ckb-3352_defconfig buildroot-2013.08.1-ckb-20150123-1-new/configs/ckb-3352_defconfig
*** buildroot-2013.08.1-ckb-20150123-1/configs/ckb-3352_defconfig	2015-10-14 09:29:47.472171158 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/configs/ckb-3352_defconfig	2015-10-14 09:38:00.054527337 +0900
***************
*** 69,82 ****
  #
  # Target options
  #
  BR2_BOARD_CKB_3352=y
! BR2_CKB_LCD_SUPPORT=y
! # BR2_CKB_LCD_01 is not set
! BR2_CKB_LCD_02=y
! # BR2_CKB_DVI_SUPPORT is not set
! # BR2_CKB_LCD_CLOCK_CLOSEST_MATCH is not set
! # BR2_CKB_DISPLAY_EASY_SWITCH_MODE is not set
  BR2_TITLE_IMAGE_FILE_NAME="dl/pics/title_400x240.bmp"
  BR2_CMJ100_MODULE=y
  BR2_CMJ100_FW_IN_KERNEL=y
  BR2_PACKAGE_CSIDED=y
--- 69,79 ----
  #
  # Target options
  #
+ BR2_BOARD_CKB=y
  BR2_BOARD_CKB_3352=y
! BR2_CREATE_RGB_TITLE_IMAGE=y
  BR2_TITLE_IMAGE_FILE_NAME="dl/pics/title_400x240.bmp"
+ # BR2_TI_PWM_FIRMWARE is not set
  BR2_CMJ100_MODULE=y
  BR2_CMJ100_FW_IN_KERNEL=y
  BR2_PACKAGE_CSIDED=y
***************
*** 136,142 ****
--- 133,141 ----
  # BR2_CCACHE is not set
  BR2_DEPRECATED=y
  BR2_ENABLE_DEBUG=y
+ # BR2_DEBUG_1 is not set
  BR2_DEBUG_2=y
+ # BR2_DEBUG_3 is not set
  BR2_STRIP_strip=y
  # BR2_STRIP_sstrip is not set
  # BR2_STRIP_none is not set
***************
*** 775,780 ****
--- 774,780 ----
  # BR2_PACKAGE_LIBNSS is not set
  # BR2_PACKAGE_LIBSHA1 is not set
  # BR2_PACKAGE_NETTLE is not set
+ # BR2_PACKAGE_CA_CERTIFICATES is not set
  # BR2_PACKAGE_OPENSSL is not set
  # BR2_PACKAGE_POLARSSL is not set
  
diff -crN buildroot-2013.08.1-ckb-20150123-1/configs/ckb-rz_defconfig buildroot-2013.08.1-ckb-20150123-1-new/configs/ckb-rz_defconfig
*** buildroot-2013.08.1-ckb-20150123-1/configs/ckb-rz_defconfig	2015-10-14 09:29:47.472171158 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/configs/ckb-rz_defconfig	2015-10-14 09:37:44.480772744 +0900
***************
*** 71,82 ****
  #
  # Target options
  #
  BR2_BOARD_CKB_RZ=y
! BR2_CKB_LCD_SUPPORT=y
! BR2_CKB_LCD_02=y
! # BR2_VISIONX_KTM050AL02 is not set
! # BR2_CKB_LVDS_SUPPORT is not set
! BR2_CKB_DISPLAY_EASY_SWITCH_MODE=y
  BR2_TITLE_IMAGE_FILE_NAME="dl/pics/title_400x240.bmp"
  BR2_CMJ100_MODULE=y
  BR2_PACKAGE_CSIDED=y
--- 71,79 ----
  #
  # Target options
  #
+ BR2_BOARD_CKB=y
  BR2_BOARD_CKB_RZ=y
! BR2_CREATE_RGB_TITLE_IMAGE=y
  BR2_TITLE_IMAGE_FILE_NAME="dl/pics/title_400x240.bmp"
  BR2_CMJ100_MODULE=y
  BR2_PACKAGE_CSIDED=y
***************
*** 773,778 ****
--- 770,776 ----
  # BR2_PACKAGE_LIBNSS is not set
  # BR2_PACKAGE_LIBSHA1 is not set
  # BR2_PACKAGE_NETTLE is not set
+ # BR2_PACKAGE_CA_CERTIFICATES is not set
  # BR2_PACKAGE_OPENSSL is not set
  # BR2_PACKAGE_POLARSSL is not set
  
diff -crN buildroot-2013.08.1-ckb-20150123-1/linux/linux.mk buildroot-2013.08.1-ckb-20150123-1-new/linux/linux.mk
*** buildroot-2013.08.1-ckb-20150123-1/linux/linux.mk	2014-12-15 22:56:43.000000000 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/linux/linux.mk	2015-10-14 09:30:35.508170736 +0900
***************
*** 245,631 ****
  endif
  endif
  
! ifeq ($(BR2_BOARD_CKB_1808),y)
! define CKB_LINUX_RAM_CONFIG_CMDS
! 	@$(call MESSAGE, "CKB-1808: Configuring Kernel for 32MB/128MB RAM")
! 	$(if $(BR2_CKB_1808_32MB),
! 		$(call KCONFIG_ENABLE_OPT,CONFIG_CKB_32MB_RAM,$(@D)/.config)
! 		$(call KCONFIG_DISABLE_OPT,CONFIG_CKB_128MB_RAM,$(@D)/.config))
! 	$(if $(BR2_CKB_1808_128MB),
! 		$(call KCONFIG_DISABLE_OPT,CONFIG_CKB_32MB_RAM,$(@D)/.config)
! 		$(call KCONFIG_ENABLE_OPT,CONFIG_CKB_128MB_RAM,$(@D)/.config))
! endef
! ifeq ($(BR2_CKB_VPIF_SUPPORT),y)
! define CKB_LINUX_VPIF_CONFIG_CMDS
! 	@$(call KCONFIG_ENABLE_OPT,CONFIG_CKB_VPIF_SUPPORT,$(@D)/.config)
! 	@$(call KCONFIG_DISABLE_OPT,CONFIG_SOC_CAMERA,$(@D)/.config)
! endef
! else
! define CKB_LINUX_VPIF_CONFIG_CMDS
! 	@$(call KCONFIG_DISABLE_OPT,CONFIG_CKB_VPIF_SUPPORT,$(@D)/.config)
! endef
! endif
! ifeq ($(BR2_CKB_LCD_SUPPORT),y)
! define CKB_LINUX_LCD_CONFIG_CMDS
! 	@$(call MESSAGE, "CKB: Configuring Kernel LCD panel")
! 	$(call KCONFIG_ENABLE_OPT,CONFIG_CKB_LCD_SUPPORT,$(@D)/.config)
! 	$(if $(BR2_CKB_LCD_01),
! 		$(call KCONFIG_ENABLE_OPT,CONFIG_CKB_LCD_01,$(@D)/.config)
! 		$(call KCONFIG_DISABLE_OPT,CONFIG_CKB_LCD_02,$(@D)/.config))
! 	$(if $(BR2_CKB_LCD_02),
! 		$(call KCONFIG_DISABLE_OPT,CONFIG_CKB_LCD_01,$(@D)/.config)
! 		$(call KCONFIG_ENABLE_OPT,CONFIG_CKB_LCD_02,$(@D)/.config))
! endef
! else
! define CKB_LINUX_LCD_CONFIG_CMDS
! 	@$(call MESSAGE, "CKB: Removing Kernel LCD panel support")
! 	$(call KCONFIG_DISABLE_OPT,CONFIG_CKB_LCD_SUPPORT,$(@D)/.config)
! 	$(call KCONFIG_DISABLE_OPT,CONFIG_CKB_LCD_01,$(@D)/.config)
! 	$(call KCONFIG_DISABLE_OPT,CONFIG_CKB_LCD_02,$(@D)/.config)
  endef
- endif
- endif
  
  ifeq ($(BR2_BOARD_CKB_3352),y)
! ifeq ($(BR2_CKB_DVI_SUPPORT),y)
! # DVI support
! define CKB_LINUX_DVI_CONFIG_CMDS
! 	@$(call MESSAGE, "CKB-3352: Configuring Kernel DVI support")
! 	$(call KCONFIG_ENABLE_OPT,CONFIG_CKB_DVI_SUPPORT,$(@D)/.config)
! endef
! 
! ifeq ($(BR2_CKB_DISPLAY_DVI_RESOLUTIONS),y)
! define CKB_LINUX_DISPLAY_DVI_RESOLUTIONS_CONFIG_CMDS
! 	@$(call KCONFIG_ENABLE_OPT,CONFIG_DISPLAY_DVI_RESOLUTIONS,$(@D)/.config)
! endef
! else
! define CKB_LINUX_DISPLAY_DVI_RESOLUTIONS_CONFIG_CMDS
! 	@$(call KCONFIG_DISABLE_OPT,CONFIG_DISPLAY_DVI_RESOLUTIONS,$(@D)/.config)
! endef
! endif
! 
! ifeq ($(BR2_CKB_DISPLAY_UNSUPPORTED_DVI_RESOLUTIONS),y)
! define CKB_LINUX_DISPLAY_UNSUPPORTED_DVI_RESOLUTIONS_CONFIG_CMDS
! 	@$(call KCONFIG_ENABLE_OPT,CONFIG_DISPLAY_UNSUPPORTED_DVI_RESOLUTIONS,$(@D)/.config)
! endef
! else
! define CKB_LINUX_DISPLAY_UNSUPPORTED_DVI_RESOLUTIONS_CONFIG_CMDS
! 	@$(call KCONFIG_DISABLE_OPT,CONFIG_DISPLAY_UNSUPPORTED_DVI_RESOLUTIONS,$(@D)/.config)
! endef
! endif
! 
! else
! # No DVI support
! define CKB_LINUX_DVI_CONFIG_CMDS
! 	@$(call MESSAGE, "CKB-3352: Removing Kernel DVI support")
! 	$(call KCONFIG_DISABLE_OPT,CONFIG_CKB_DVI_SUPPORT,$(@D)/.config)
! endef
! endif
! ifeq ($(BR2_CKB_LCD_SUPPORT),y)
! define CKB_LINUX_LCD_CONFIG_CMDS
! 	@$(call MESSAGE, "CKB: Configuring Kernel LCD panel")
! 	$(call KCONFIG_ENABLE_OPT,CONFIG_CKB_LCD_SUPPORT,$(@D)/.config)
! 	$(if $(BR2_CKB_LCD_01),
! 		$(call KCONFIG_ENABLE_OPT,CONFIG_CKB_LCD_01,$(@D)/.config)
! 		$(call KCONFIG_DISABLE_OPT,CONFIG_CKB_LCD_02,$(@D)/.config))
! 	$(if $(BR2_CKB_LCD_02),
! 		$(call KCONFIG_DISABLE_OPT,CONFIG_CKB_LCD_01,$(@D)/.config)
! 		$(call KCONFIG_ENABLE_OPT,CONFIG_CKB_LCD_02,$(@D)/.config))
! endef
! else
! # Check if LCD support is enabled in the Kernel config
! # if so disable SPIdev and GPIO pin functions as default
! define CKB_LINUX_LCD_CONFIG_CMDS
! 	if grep -q "CONFIG_CKB_LCD_SUPPORT=y" $(@D)/.config; then 	\
! 		$(call MESSAGE, "CKB: Removing Kernel LCD panel support"); \
! 		\
! 		$(SED) "/\\<CONFIG_CKB_LCD_SUPPORT\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_LCD_SUPPORT is not set" >> $(@D)/.config; \
! 		\
! 		$(SED) "/\\<CONFIG_CKB_LCD_01\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_LCD_01 is not set" >> $(@D)/.config; \
! 		\
! 		$(SED) "/\\<CONFIG_CKB_LCD_02\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_LCD_02 is not set" >> $(@D)/.config; \
! 		\
! 		$(SED) "/\\<CONFIG_CKB_EXTCN_6_31_36_38\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EXTCN_6_31_36_38 is not set" >> $(@D)/.config; \
! 		\
! 		$(SED) "/\\<CONFIG_CKB_3352_AUDIO\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_3352_AUDIO is not set" >> $(@D)/.config; \
! 		\
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN2_LCD_DATA12\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN2_LCD_DATA12 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN2_A16\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN2_A16 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN2_EQEP1A_IN\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN2_EQEP1A_IN is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN2_MCASP0_ACLKR\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN2_MCASP0_ACLKR is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN2_MCAP0_AXR2\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN2_MCAP0_AXR2 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN2_PR1_MII0_RXLINK\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN2_PR1_MII0_RXLINK is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN2_UART4_CTS\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN2_UART4_CTS is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN2_OGPIO\\>/d" $(@D)/.config; \
! 		echo "CONFIG_CKB_EX_CN_PIN2_OGPIO=y" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN2_IGPIO\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN2_IGPIO is not set" >> $(@D)/.config; \
! 		\
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN4_LCD_DATA13\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN4_LCD_DATA13 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN4_A17\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN4_A17 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN4_EQEP1B_IN\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN4_EQEP1B_IN is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN4_MCASP0_FSR\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN4_MCASP0_FSR is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN4_MCAP0_AXR3\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN4_MCAP0_AXR3 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN2_PR1_MII0_RXER\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN2_PR1_MII0_RXER is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN4_UART4_RTS\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN4_UART4_RTS is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN4_OGPIO\\>/d" $(@D)/.config; \
! 		echo "CONFIG_CKB_EX_CN_PIN4_OGPIO=y" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN4_IGPIO\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN4_IGPIO is not set" >> $(@D)/.config; \
! 		\
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN6_MCASP0_AHCLKR\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN6_MCASP0_AHCLKR is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN6_EHRPWM0_SYNCI\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN6_EHRPWM0_SYNCI is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN6_MCASP0_AXR2\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN6_MCASP0_AXR2 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN6_SPI1_CS0\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN6_SPI1_CS0 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN6_ECAP2_IN_PWM2_OUT\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN6_ECAP2_IN_PWM2_OUT is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN6_PR1_PRU0_PRU_R30_3\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN6_PR1_PRU0_PRU_R30_3 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN6_PR1_PRU0_PRU_R31_3\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN6_PR1_PRU0_PRU_R31_3 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN6_OGPIO\\>/d" $(@D)/.config; \
! 		echo "CONFIG_CKB_EX_CN_PIN6_OGPIO=y" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN6_IGPIO\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN6_IGPIO is not set" >> $(@D)/.config; \
! 		\
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN10_MCASP0_FSR\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN10_MCASP0_FSR is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN10_EQEP0B_IN\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN10_EQEP0B_IN is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN10_MCASP0_AXR3\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN10_MCASP0_AXR3 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN10_MCASP1_FSX\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN10_MCASP1_FSX is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN10_EMU2\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN10_EMU2 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN10_PR1_PRU0_PRU_R30_5\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN10_PR1_PRU0_PRU_R30_5 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN10_PR1_PRU0_PRU_R31_5\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN10_PR1_PRU0_PRU_R31_5 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN10_OGPIO\\>/d" $(@D)/.config; \
! 		echo "CONFIG_CKB_EX_CN_PIN10_OGPIO=y" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN10_IGPIO\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN10_IGPIO is not set" >> $(@D)/.config; \
! 		\
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN31_MCASP0_AXR0\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN31_MCASP0_AXR0 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN31_EHRPWM0_TRIPZONE_INPUT\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN31_EHRPWM0_TRIPZONE_INPUT is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN31_SPI1_D1\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN31_SPI1_D1 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN31_MMC2_SDCD\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN31_MMC2_SDCD is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN31_PR1_PRU0_PRU_R30_2\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN31_PR1_PRU0_PRU_R30_2 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN31_PR1_PRU0_PRU_R31_2\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN31_PR1_PRU0_PRU_R31_2 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN31_OGPIO\\>/d" $(@D)/.config; \
! 		echo "CONFIG_CKB_EX_CN_PIN31_OGPIO=y" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN31_IGPIO\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN31_IGPIO is not set" >> $(@D)/.config; \
! 		\
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN33_MCASP0_AXR1\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN33_MCASP0_AXR1 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN33_EQEP0_INDEX\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN33_EQEP0_INDEX is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN33_MCASP1_AXR0\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN33_MCASP1_AXR0 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN33_EMU3\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN33_EMU3 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN33_PR1_PRU0_PRU_R30_6\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN33_PR1_PRU0_PRU_R30_6 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN33_PR1_PRU0_PRU_R31_6\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN33_PR1_PRU0_PRU_R31_6 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN33_OGPIO\\>/d" $(@D)/.config; \
! 		echo "CONFIG_CKB_EX_CN_PIN33_OGPIO=y" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN33_IGPIO\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN33_IGPIO is not set" >> $(@D)/.config; \
! 		\
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN36_MCASP0_ACLKX\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN36_MCASP0_ACLKX is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN36_EHRPWM0A\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN36_EHRPWM0A is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN36_SPI1_SCLK\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN36_SPI1_SCLK is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN36_MMC0_SDCD\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN36_MMC0_SDCD is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN36_PR1_PRU0_PRU_R30_0\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN36_PR1_PRU0_PRU_R30_0 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN36_PR1_PRU0_PRU_R31_0\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN36_PR1_PRU0_PRU_R31_0 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN36_OGPIO\\>/d" $(@D)/.config; \
! 		echo "CONFIG_CKB_EX_CN_PIN36_OGPIO=y" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN36_IGPIO\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN36_IGPIO is not set" >> $(@D)/.config; \
! 		\
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN38_MCASP0_FSX\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN38_MCASP0_FSX is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN38_EHRPWM0B\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN38_EHRPWM0B is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN38_SPI1_D0\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN38_SPI1_D0 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN38_MMC1_SDCD\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN38_MMC1_SDCD is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN38_PR1_PRU0_PRU_R30_1\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN38_PR1_PRU0_PRU_R30_1 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN38_PR1_PRU0_PRU_R31_1\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN38_PR1_PRU0_PRU_R31_1 is not set" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN38_OGPIO\\>/d" $(@D)/.config; \
! 		echo "CONFIG_CKB_EX_CN_PIN38_OGPIO=y" >> $(@D)/.config; \
! 		$(SED) "/\\<CONFIG_CKB_EX_CN_PIN38_IGPIO\\>/d" $(@D)/.config; \
! 		echo "# CONFIG_CKB_EX_CN_PIN38_IGPIO is not set" >> $(@D)/.config; \
! 		\
! 	fi
! endef
! endif
! AM335x_FIRMWARE_TGZ_NAME=am335x-pm-firmware.tgz
! define CKB_LINUX_FW_BINARIES
! 	@echo "$(TERM_BOLD)Unpacking AM335x PM firmware to $(LINUX_DIR)/firmware/$(TERM_RESET)"
! 	@if ! [ -e "$(DL_DIR)/$(AM335x_FIRMWARE_TGZ_NAME)" ]; then \
! 			echo "$(TERM_BOLD)Error: $(DL_DIR)/$(AM335x_FIRMWARE_TGZ_NAME) is needed to proceed$(TERM_RESET)"; \
! 			exit 1;\
  	fi
! 	$(TAR) -zxvf $(DL_DIR)/$(AM335x_FIRMWARE_TGZ_NAME) -C $(LINUX_DIR)/firmware/
! endef
! endif
! 
! ifeq ($(BR2_BOARD_CKB_RZ),y)
! ifeq ($(BR2_CKB_LVDS_SUPPORT),y)
! define CKB_LINUX_LVDS_CONFIG_CMDS
! 	@$(call MESSAGE, "CKB-RZA1H: Configuring Kernel LVDS support")
! 	$(call KCONFIG_ENABLE_OPT,CONFIG_CKB_LVDS_SUPPORT,$(@D)/.config)
! endef
! 
! ifeq ($(BR2_CKB_DISPLAY_LVDS_RESOLUTIONS),y)
! define CKB_LINUX_DISPLAY_LVDS_RESOLUTIONS_CONFIG_CMDS
! 	@$(call KCONFIG_ENABLE_OPT,CONFIG_DISPLAY_LVDS_RESOLUTIONS,$(@D)/.config)
! endef
! else
! define CKB_LINUX_DISPLAY_LVDS_RESOLUTIONS_CONFIG_CMDS
! 	@$(call KCONFIG_DISABLE_OPT,CONFIG_DISPLAY_LVDS_RESOLUTIONS,$(@D)/.config)
! endef
! endif
! 
! ifeq ($(BR2_CKB_DISPLAY_UNSUPPORTED_LVDS_RESOLUTIONS),y)
! define CKB_LINUX_DISPLAY_UNSUPPORTED_LVDS_RESOLUTIONS_CONFIG_CMDS
! 	@$(call KCONFIG_ENABLE_OPT,CONFIG_DISPLAY_UNSUPPORTED_LVDS_RESOLUTIONS,$(@D)/.config)
! endef
! else
! define CKB_LINUX_DISPLAY_UNSUPPORTED_LVDS_RESOLUTIONS_CONFIG_CMDS
! 	@$(call KCONFIG_DISABLE_OPT,CONFIG_DISPLAY_UNSUPPORTED_LVDS_RESOLUTIONS,$(@D)/.config)
! endef
! endif
! 
! else
! define CKB_LINUX_LVDS_CONFIG_CMDS
! 	@$(call MESSAGE, "CKB-RZA1H: Removing Kernel LVDS support")
! 	$(call KCONFIG_DISABLE_OPT,CONFIG_CKB_LVDS_SUPPORT,$(@D)/.config)
! endef
! endif
! ifeq ($(BR2_CKB_LCD_SUPPORT),y)
! define CKB_LINUX_LCD_CONFIG_CMDS
! 	@$(call MESSAGE, "CKB: Configuring Kernel LCD panel")
! 	$(call KCONFIG_ENABLE_OPT,CONFIG_CKB_LCD_SUPPORT,$(@D)/.config)
! 	$(if $(BR2_CKB_LCD_02),
! 		$(call KCONFIG_DISABLE_OPT,CONFIG_VISIONX_KTM050AL02,$(@D)/.config)
! 		$(call KCONFIG_ENABLE_OPT,CONFIG_CKB_LCD_02,$(@D)/.config))
! 	$(if $(BR2_VISIONX_KTM050AL02),
! 		$(call KCONFIG_ENABLE_OPT,CONFIG_VISIONX_KTM050AL02,$(@D)/.config)
! 		$(call KCONFIG_DISABLE_OPT,CONFIG_CKB_LCD_02,$(@D)/.config))
  endef
  else
! define CKB_LINUX_LCD_CONFIG_CMDS
! 	@$(call MESSAGE, "CKB: Removing Kernel LCD panel support")
! 	$(call KCONFIG_DISABLE_OPT,CONFIG_CKB_LCD_SUPPORT,$(@D)/.config)
! 	$(call KCONFIG_DISABLE_OPT,CONFIG_VISIONX_KTM050AL02,$(@D)/.config)
! 	$(call KCONFIG_DISABLE_OPT,CONFIG_CKB_LCD_02,$(@D)/.config)
  endef
  endif
- endif
- 
- ifeq ($(BR2_CKB_LCD_CLOCK_CLOSEST_MATCH),y)
- define CKB_LINUX_LCD_CLOCK_CLOSEST_MATCH_CONFIG_CMDS
- 	@$(call KCONFIG_ENABLE_OPT,CONFIG_LCD_CLOCK_CLOSEST_MATCH,$(@D)/.config)
- endef
- else
- define CKB_LINUX_LCD_CLOCK_CLOSEST_MATCH_CONFIG_CMDS
- 	@$(call KCONFIG_DISABLE_OPT,CONFIG_LCD_CLOCK_CLOSEST_MATCH,$(@D)/.config)
- endef
- endif
- 
- ifeq ($(BR2_CKB_DISPLAY_EASY_SWITCH_MODE),y)
- define CKB_LINUX_DISPLAY_SWITCH_CONFIG_CMDS
- 	@$(call KCONFIG_ENABLE_OPT,CONFIG_CKB_EASY_SWITCH_MODE,$(@D)/.config)
- endef
- else
- define CKB_LINUX_DISPLAY_SWITCH_CONFIG_CMDS
- 	@$(call KCONFIG_DISABLE_OPT,CONFIG_CKB_EASY_SWITCH_MODE,$(@D)/.config)
- endef
- endif
- 
  ifeq ($(BR2_CMJ100_FW_IN_KERNEL),y)
! define CKB_CMJ100_INCLUDE_FW_CMDS
! 	@echo "$(TERM_BOLD)Unpacking CM-J100 firmware to $(LINUX_DIR)/firmware/$(TERM_RESET)"
! 	@if ! [ -e "$(DL_DIR)/$(CMJ100_FIRMWARE_TGZ_NAME)" ]; then \
! 			echo "$(TERM_BOLD)Error: $(DL_DIR)/$(CMJ100_FIRMWARE_TGZ_NAME) is needed to proceed$(TERM_RESET)"; \
! 			exit 1;\
  	fi
! 	@if [ -d $(LINUX_DIR)/firmware/cmj100/ ]; then \
! 		rm -rf $(LINUX_DIR)/firmware/cmj100/; \
! 	fi
! 	$(TAR) -zxvf $(DL_DIR)/$(CMJ100_FIRMWARE_TGZ_NAME) -C $(LINUX_DIR)/firmware/
  endef
  else
! define CKB_CMJ100_INCLUDE_FW_CMDS
! 	@if [ -d $(LINUX_DIR)/firmware/cmj100/ ]; then \
! 		echo "$(TERM_BOLD)Removing CM-J100 firmware from $(LINUX_DIR)/firmware/cmj100$(TERM_RESET)" ; \
! 		for p in $(LINUX_DIR)/firmware/cmj100/*.bin ; do \
! 			echo "Deleting contents of $$p"; \
! 			echo "DUMMY" > $$p; \
! 		done; \
! 		echo ""; \
! 	fi
  endef
  endif
  
  # Compilation. We make sure the kernel gets rebuilt when the
  # configuration has changed.
  define LINUX_BUILD_CMDS
! 	$(CKB_LINUX_RAM_CONFIG_CMDS)
! 	$(CKB_LINUX_LCD_CONFIG_CMDS)
! 	$(CKB_LINUX_VPIF_CONFIG_CMDS)
! 	$(CKB_LINUX_DVI_CONFIG_CMDS)
! 	$(CKB_LINUX_DISPLAY_DVI_RESOLUTIONS_CONFIG_CMDS)
! 	$(CKB_LINUX_DISPLAY_UNSUPPORTED_DVI_RESOLUTIONS_CONFIG_CMDS)
! 	$(CKB_LINUX_LCD_CLOCK_CLOSEST_MATCH_CONFIG_CMDS)
! 	$(CKB_LINUX_LVDS_CONFIG_CMDS)
! 	$(CKB_LINUX_DISPLAY_LVDS_RESOLUTIONS_CONFIG_CMDS)
! 	$(CKB_LINUX_DISPLAY_UNSUPPORTED_LVDS_RESOLUTIONS_CONFIG_CMDS)
! 	$(CKB_LINUX_DISPLAY_SWITCH_CONFIG_CMDS)
! 	$(CKB_CMJ100_INCLUDE_FW_CMDS)
  	$(if $(BR2_LINUX_KERNEL_USE_CUSTOM_DTS),
  		cp $(BR2_LINUX_KERNEL_CUSTOM_DTS_PATH) $(KERNEL_ARCH_PATH)/boot/dts/)
  	$(TARGET_MAKE_ENV) $(MAKE) $(LINUX_MAKE_FLAGS) -C $(@D) $(LINUX_IMAGE_NAME)
--- 245,317 ----
  endif
  endif
  
! # UNPACK_FIRMWARE <firmware.tgz>
! define UNPACK_FIRMWARE
! 	@$(call MESSAGE, "Unpacking firmware file $1 to Kernel")
! 	@if ! [ -e "$1" ]; then \
! 		echo "$(TERM_BOLD)Error: $1 is needed to proceed$(TERM_RESET)"; \
! 		exit 1;\
! 	fi
! 	@sh board/ckb/common/scripts/unpack_firmware.sh $1 $(LINUX_DIR) .config CONFIG_EXTRA_FIRMWARE_DIR
! endef	
! 	
! # REMOVE_FIRMWARE <firmware.tgz/directory>
! define REMOVE_FIRMWARE
! 	@$(call MESSAGE, "Removing $1 from Kernel")
! 	@sh board/ckb/common/scripts/remove_firmware.sh $1 $(LINUX_DIR) .config CONFIG_EXTRA_FIRMWARE_DIR
! endef	
! 
! # ADD_CONFIG_STR <config_name> <value>
! define ADD_CONFIG_STR
! 	@$(call MESSAGE, "Adding $(2) to $(1) in Kernel configuration")
! 	@sh board/ckb/common/scripts/add_config_str.sh $(LINUX_DIR)/.config $(1) $(2)
! endef
! 
! # REMOVE_CONFIG_STR <config_name> <value>
! define REMOVE_CONFIG_STR
! 	@$(call MESSAGE, "Removing removing $(2) from $(1) in Kernel configuration")
! 	@sh board/ckb/common/scripts/remove_config_str.sh $(LINUX_DIR)/.config $(1) $(2)
  endef
  
  ifeq ($(BR2_BOARD_CKB_3352),y)
! ifeq ($(BR2_TI_PWM_FIRMWARE),y)
! AM335x_FIRMWARE_TGZ_NAME=$(call qstrip,$(BR2_AM335x_FIRMWARE_TGZ_NAME))
! define CKB_LINUX_TI_PWM_FW_CMD
! 	if ! grep -q "CONFIG_EXTRA_FIRMWARE_DIR=" $(LINUX_DIR)/.config; then \
! 		echo "CONFIG_EXTRA_FIRMWARE_DIR=\"firmware\"" >> $(LINUX_DIR)/.config; \
  	fi
! 	$(call UNPACK_FIRMWARE,$(DL_DIR)/$(AM335x_FIRMWARE_TGZ_NAME))
! 	$(call ADD_CONFIG_STR,CONFIG_EXTRA_FIRMWARE,am335x-pm-firmware.bin)
  endef
  else
! define CKB_LINUX_TI_PWM_FW_CMD
! 	$(call REMOVE_FIRMWARE,am335x-pm-firmware.bin)
! 	$(call REMOVE_CONFIG_STR,CONFIG_EXTRA_FIRMWARE,am335x-pm-firmware.bin)
  endef
  endif
  ifeq ($(BR2_CMJ100_FW_IN_KERNEL),y)
! define CKB_LINUX_CMJ100_FW_CMDS
! 	if ! grep -q "CONFIG_EXTRA_FIRMWARE_DIR=" $(LINUX_DIR)/.config; then \
! 		echo "CONFIG_EXTRA_FIRMWARE_DIR=\"firmware\"" >> $(LINUX_DIR)/.config; \
  	fi
! 	$(call UNPACK_FIRMWARE,$(DL_DIR)/$(CMJ100_FIRMWARE_TGZ_NAME))
! 	$(call ADD_CONFIG_STR,CONFIG_EXTRA_FIRMWARE,cmj100/wl127x-fw-3.bin)
! 	$(call ADD_CONFIG_STR,CONFIG_EXTRA_FIRMWARE,cmj100/wl1271-nvs.bin)
  endef
  else
! define CKB_LINUX_CMJ100_FW_CMDS
! 	$(call REMOVE_FIRMWARE,cmj100)
! 	$(call REMOVE_CONFIG_STR,CONFIG_EXTRA_FIRMWARE,cmj100/wl127x-fw-3.bin)
! 	$(call REMOVE_CONFIG_STR,CONFIG_EXTRA_FIRMWARE,cmj100/wl1271-nvs.bin)
  endef
  endif
+ endif
  
  # Compilation. We make sure the kernel gets rebuilt when the
  # configuration has changed.
  define LINUX_BUILD_CMDS
! 	$(CKB_LINUX_TI_PWM_FW_CMD)
! 	$(CKB_LINUX_CMJ100_FW_CMDS)
  	$(if $(BR2_LINUX_KERNEL_USE_CUSTOM_DTS),
  		cp $(BR2_LINUX_KERNEL_CUSTOM_DTS_PATH) $(KERNEL_ARCH_PATH)/boot/dts/)
  	$(TARGET_MAKE_ENV) $(MAKE) $(LINUX_MAKE_FLAGS) -C $(@D) $(LINUX_IMAGE_NAME)
diff -crN buildroot-2013.08.1-ckb-20150123-1/Makefile buildroot-2013.08.1-ckb-20150123-1-new/Makefile
*** buildroot-2013.08.1-ckb-20150123-1/Makefile	2014-03-19 16:12:51.000000000 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/Makefile	2015-10-14 09:30:35.508170736 +0900
***************
*** 342,351 ****
  endif
  
  include package/*/*.mk
! 
  include boot/common.mk
  include board/Makefile.in
! include linux/linux.mk
  include system/system.mk
  
  #These should be after the Kernel has been built
--- 342,351 ----
  endif
  
  include package/*/*.mk
! include linux/linux.mk
  include boot/common.mk
  include board/Makefile.in
! 
  include system/system.mk
  
  #These should be after the Kernel has been built
